import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.Vector;

class MuServer {
   static Vector clients = new Vector();

   public static void main(String[] var0) {
      ServerSocket var1 = null;
      Socket var2 = null;

      try {
         var1 = new ServerSocket(4130);
      } catch (IOException var6) {
         System.out.println("Could not create socket on: " + 4130 + ", " + var6);
         System.exit(1);
      }

      System.out.println("Waiting for client connection...");

      while(true) {
         try {
            var2 = var1.accept();
         } catch (IOException var5) {
            System.out.println("Accept failed: " + 4130 + ", " + var5);
            System.exit(1);
         }

         System.out.println("Connection established: " + var2.getInetAddress());
         int var3 = clients.size();
         clients.insertElementAt(new MuDispatcher(var2, clients, var3), var3);
         System.out.println(" id=" + var3);
      }
   }
}
